Summary: NNTPGrab is a program to download files from the usenet
Name: nntpgrab
Version: 0.3.1
Release: 2%{?dist}
License: GPLv2+
Group: Applications/Internet
Source0: http://www.nntpgrab.nl/releases/nntpgrab-%{version}.tar.bz2
Source1: nntpgrab_php.ini
Source2: nntpgrab_apache.conf

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL: http://www.nntpgrab.nl

Requires:	nntpgrab-core = %{version}-%{release}
Requires:	nntpgrab-plugins = %{version}-%{release}
Requires:	nntpgrab-gui = %{version}-%{release}

BuildRequires:	pcre-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtkhtml3-devel
BuildRequires:	gettext
BuildRequires:  gtk2-devel
BuildRequires:  libxml2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  curl-devel
BuildRequires:  libnotify-devel
BuildRequires:  sqlite-devel
BuildRequires:  openssl-devel
BuildRequires:  php-devel
BuildRequires:  dbus-devel
BuildRequires:  intltool

%description
With this program it is possible to download files from the usenet

%package core
Summary:	NNTPGrab Core library
Group:		%{group}
Requires:	nntpgrab-plugins = %{version}-%{release}

%post   core -p /sbin/ldconfig
%postun core -p /sbin/ldconfig

%description core
Core library of NNTPGrab

%package gui
Summary:	GUI Frontend of NNTPGrab
Requires:	nntpgrab-core = %{version}-%{release}
Requires:	xdg-utils
Group:		%{group}

%description gui
GUI frontend of NNTPGrab

%package plugins
Summary:	Several plugins which are required for NNTPGrab
Obsoletes:	nntpgrab-plugin-nntp <= 0.2.1-1
Provides:	nntpgrab-plugin-nntp = %{version}-%{release}
Obsoletes:	nntpgrab-plugin-decoder <= 0.2.1-1
Provides:	nntpgrab-plugin-decoder = %{version}-%{release}
Obsoletes:	nntpgrab-plugin-schedular <= 0.2.1-1
Provides:	nntpgrab-plugin-schedular = %{version}-%{release}
Group:		%{group}

%description plugins
Several plugins which are required for NNTPGrab.
This contains the following plugins:
- NNTP plugin
- Decoder plugin
- Schedular plugin

%package devel
Summary:	Development files for NNTPGrab
Group:		%{group}
Requires:	%{name}-core = %{version}-%{release}
Requires:	glib2-devel

%description devel
Development files for NNTPGrab

%package server
Summary:	NNTPGrab server
Group:		%{group}
Requires:	%{name}-core = %{version}-%{release}

%description server
The NNTPGrab Server is required if you want to use the NNTPGrab webinterface
or control the program from a remote computer

%package web
Summary:	NNTPGrab web interface
Requires:	nntpgrab-core = %{version}-%{release}
Group:		%{group}
Requires:	webserver 
Requires:	php >= 4.1.0
%description web
Web interface to control NNTPGrab

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor fedora --delete-original \
  --add-category Network \
  --copy-generic-name-to-name \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/nntpgrab.desktop

desktop-file-install --vendor fedora --delete-original \
  --add-category Network \
  --copy-generic-name-to-name \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/nntpgrab_networked.desktop

# Rename the plugins from name_of_plugin.so.0.0.0 to name_of_plugin.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so.0
mv %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so.0.0.0 %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so

rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so.0
mv %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so.0.0.0 %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so

rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so.0
mv %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so.0.0.0 %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so

# Libtool files are unnecessary
rm %{buildroot}%{_libdir}/libnntpgrab.la
rm %{buildroot}%{_libdir}/libnntpgrab_glue.la
rm %{buildroot}%{_libdir}/libnntpgrab_utils.la
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.la
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.la
rm %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.la

# Install the webinterface to /usr/share/nntpgrab/web
mkdir -p %{buildroot}/%{_datadir}/%{name}/web
cp -ad client/web/* %{buildroot}/%{_datadir}/%{name}/web
rm -rf %{buildroot}/%{_datadir}/%{name}/web/module
rm -f %{buildroot}%{_datadir}/%{name}/web/Makefile*

# Webinterface configuration
mkdir -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/
mkdir -p %{buildroot}/%{_sysconfdir}/php.d
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/php.d/nntpgrab.ini
install -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/httpd/conf.d/nntpgrab.conf
install -m 644 client/web/config.ini %{buildroot}/%{_sysconfdir}/%{name}/config.ini
rm -f %{buildroot}/%{_datadir}/%{name}/web/config.ini
ln -s %{_sysconfdir}/%{name}/config.ini %{buildroot}/%{_datadir}/%{name}/web/config.ini

# The glade interface isn't used on GTK 2.12.0 and higher
rm -f %{buildroot}%{_datadir}/nntpgrab/nntpgrab_gui.glade

%find_lang NNTPGrab

%clean
rm -rf %{buildroot}
	
%files
%defattr(-,root,root,-)

%files core
%{_libdir}/libnntpgrab.so.0
%{_libdir}/libnntpgrab.so.0.0.0
%{_libdir}/libnntpgrab_glue.so.0
%{_libdir}/libnntpgrab_glue.so.0.0.0
%{_libdir}/libnntpgrab_utils.so.0
%{_libdir}/libnntpgrab_utils.so.0.0.0
%doc COPYING ChangeLog

%files plugins
%{_libdir}/nntpgrab/libnntpgrab_plugin_nntp.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_schedular.so

%files gui -f NNTPGrab.lang
%{_datadir}/applications/fedora-nntpgrab.desktop
%{_datadir}/applications/fedora-nntpgrab_networked.desktop
%{_bindir}/nntpgrab_gui
%{_bindir}/nntpgrab_gui_networked
%{_datadir}/nntpgrab
%{_datadir}/nntpgrab/nntpgrab_gui.ui
%{_datadir}/pixmaps/nntpgrab.png

%files devel
%{_libdir}/libnntpgrab.so
%{_libdir}/libnntpgrab_glue.so
%{_libdir}/libnntpgrab_utils.so
%{_includedir}/nntpgrab
%{_libdir}/pkgconfig/nntpgrab.pc

%files server
%{_bindir}/nntpgrab_server

%files web
%{_libdir}/php/modules/php_nntpgrab.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/nntpgrab.conf
%config(noreplace) %{_sysconfdir}/php.d/nntpgrab.ini
%config(noreplace) %{_sysconfdir}/%{name}
%{_datadir}/nntpgrab/web

%changelog
* Wed Jun 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.1-2
- Added BR: intltool

* Wed Jun 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.1-1
- Update to version 0.3.1

* Sun Jun 1 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.0-1
- Update to version 0.3.0

* Mon May 26 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.91-1
- Update to version 0.2.91 (0.3 beta 2)

* Sat May 17 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.90-1
- Update to version 0.2.90 (0.3 beta 1) containing lots of new features
- Added a -server subpackage
- Added a -web subpackage
- All the plugins are now moved to %{_libdir}/nntpgrab

* Tue Apr 29 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.5-1
- Update to version 0.2.5
- Small packaging fix

* Sat Mar 8 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.4-1
- Update to version 0.2.4
- Drop upstreamed patches

* Sat Mar 1 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.3-2
- The program would always crash with GTK 2.12.7 or higher.
  Added a patch to avoid this crash (GNOME BZ #514162)

* Tue Feb 5 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.3-1
- Update to 0.2.3. Fixes regression in 0.2.2
- Added a patch to fix an off-by-one error

* Sun Jan 27 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.2-1
- Update to 0.2.2, bugfix release which should solve some
  deadlocks and eternal loops

* Sat Jan 12 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-4
- Removed the %post{,un} scriptlets for the -plugins subpackage
- Removed README file from %doc as it is a zero-byte file
- Removed the .la file from the -devel subpackage

* Fri Jan 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-3
- Processed feedback from Mamoru Tasaka which was posted in the bugzilla ticket

* Sun Dec 30 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-2
- Preparations for inclusion in Fedora

* Wed Dec 26 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-1
- Version 0.2.1

* Mon Dec 24 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2-1
- Version 0.2

* Tue Nov 27 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.1-1
- Initial release

